Release Movit 1.3.0. 1.3.0
authorSteinar H. Gunderson <sgunderson@bigfoot.com>
Sun, 31 Jan 2016 12:37:24 +0000 (13:37 +0100)
committerSteinar H. Gunderson <sgunderson@bigfoot.com>
Sun, 31 Jan 2016 12:37:24 +0000 (13:37 +0100)
Makefile.in
NEWS

index 342bcfd..ec33695 100644 (file)
@@ -6,8 +6,8 @@ GTEST_DIR ?= /usr/src/gtest
 # strive towards having a rock-stable ABI, but at least the soversion will increase
 # whenever it breaks, so that you will not have silent failures, and distribution package
 # management can run its course.
-movit_ltversion = 3:0:0
-movit_version = 1.2.0
+movit_ltversion = 4:0:0
+movit_version = 1.3.0
 
 prefix = @prefix@
 exec_prefix = @exec_prefix@
diff --git a/NEWS b/NEWS
index 648d113..6b5bc19 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,22 @@
+Movit 1.3.0, January 31st, 2016
+
+  - Movit now requires GLSL 1.30 (so a driver from 2008 or later);
+    before, it claimed to support 1.10, but actually used 1.30 features.
+    Note that some OpenGL drivers, in particular on OS X, only supports
+    GLSL 1.30 (actually, 1.50) if you have an OpenGL core context.
+
+  - Add a deinterlacer, based on YADIF.
+
+  - Allow parallel output to RGBA and Y'CbCr textures at the same time.
+
+  - Make FlatInput and YCbCrInput support taking in external OpenGL
+    textures. Also allow them to change width/height after instantiation.
+
+  - Various compatibility and performance fixes. In particular,
+    fp16 conversion on older (non-Haswell) CPUs is much faster, due to
+    new conversion code by Fabian Giesen.
+
+
 Movit 1.2.0, September 24th, 2015
 
   - Movit now ships a version.h with a #define MOVIT_VERSION that